gr::gfdm::modulator_kernel_cc Class Reference

modulate a GFDM block. This class initializes and performs all operations necessary to modulate a GFDM block. More...

`#include <modulator_kernel_cc.h>`

## Public Types

typedef std::complex< float > | gfdm_complex
typedef boost::shared_ptr< modulator_kernel_cc > | sptr

## Public Member Functions

| modulator_kernel_cc (int n_timeslots, int n_subcarriers, int overlap, std::vector< gfdm_complex > frequency_taps)
| ~modulator_kernel_cc ()
void | generic_work (gfdm_complex *p_out, const gfdm_complex *p_in)
int | block_size ()
std::vector< gfdm_complex > | filter_taps ()

## Detailed Description

modulate a GFDM block. This class initializes and performs all operations necessary to modulate a GFDM block.

## Member Typedef Documentation

## gfdm_complex

typedef std::complex<float> gr::gfdm::modulator_kernel_cc::gfdm_complex

## sptr

typedef boost::shared_ptr<modulator_kernel_cc> gr::gfdm::modulator_kernel_cc::sptr

## Constructor & Destructor Documentation

## modulator_kernel_cc()

gr::gfdm::modulator_kernel_cc::modulator_kernel_cc | ( | int | n_timeslots,
|  | int | n_subcarriers,
|  | int | overlap,
|  | std::vector< gfdm_complex > | frequency_taps
| ) |  |

## ~modulator_kernel_cc()

gr::gfdm::modulator_kernel_cc::~modulator_kernel_cc | ( |  | ) |

## Member Function Documentation

## block_size()

int gr::gfdm::modulator_kernel_cc::block_size | ( |  | ) |

inline

## filter_taps()

std::vector< gfdm_complex > gr::gfdm::modulator_kernel_cc::filter_taps | ( |  | ) |

## generic_work()

void gr::gfdm::modulator_kernel_cc::generic_work | ( | gfdm_complex * | p_out,
|  | const gfdm_complex * | p_in
| ) |  |

The documentation for this class was generated from the following file:

- modulator_kernel_cc.h